improve travis integration
authormh <mh@immerda.ch>
Sun, 27 Mar 2016 10:30:32 +0000 (12:30 +0200)
committermh <mh@immerda.ch>
Sun, 27 Mar 2016 10:30:32 +0000 (12:30 +0200)
.travis.yml

index c85bde4..1ac8b2f 100644 (file)
@@ -1,15 +1,16 @@
 rvm:
   - 1.8.7
   - 1.9.3
-  - 2.0.0
-script: 'bundle exec rake spec'
+  - 2.2.0
+script: 'bundle exec rake'
 env:
-  - PUPPET_VERSION=3.8.4
+  - PUPPET_VERSION=3.8.6
+  - PUPPET_VERSION=4.4.1
 matrix:
   exclude:
     # No support for Ruby 2.0 before Puppet 3.2
-    - rvm: 2.0.0
-      env: PUPPET_VERSION=3.0.0
-    - rvm: 2.0.0
-      env: PUPPET_VERSION=3.1.0
+    - rvm: 2.2.0
+      env: PUPPET_VERSION=3.8.6
+    - rvm: 1.8.7
+      env: PUPPET_VERSION=4.4.1